/**
 * title: "徽标与文字组合"
 * description: "不包裹任何元素即独立使用，可自定样式展现。"
 */
import React from 'react';
import { Badge } from '@alicloud/console-components';
var badgeTextStyle = {
    backgroundColor: '#D50B16',
    color: '#fff',
    borderRadius: '10px',
    lineHeight: '20px',
};
var flexStyle = {
    display: 'flex',
    alignItems: 'center',
    marginBottom: '8px',
};
export default function Demo3() {
    return (React.createElement("div", null,
        React.createElement("div", { style: flexStyle },
            React.createElement("span", { style: { marginRight: '8px' } }, "\u6587\u5B57\u63CF\u8FF0"),
            React.createElement(Badge, { count: 1 })),
        React.createElement("div", { style: flexStyle },
            React.createElement("span", { style: { marginRight: '8px' } }, "\u6587\u5B57\u63CF\u8FF0"),
            React.createElement(Badge, { count: 23, overflowCount: 999 })),
        React.createElement("div", { style: flexStyle },
            React.createElement("span", { style: { marginRight: '8px' } }, "\u6587\u5B57\u63CF\u8FF0"),
            React.createElement(Badge, { count: 456, overflowCount: 999 })),
        React.createElement("div", { style: flexStyle },
            React.createElement("span", { style: { marginRight: '8px' } }, "\u6587\u5B57\u63CF\u8FF0"),
            React.createElement(Badge, { content: 'NEW', style: badgeTextStyle })),
        React.createElement("div", { style: flexStyle },
            React.createElement("span", { style: { marginRight: '8px' } }, "\u6587\u5B57\u63CF\u8FF0"),
            React.createElement(Badge, { content: '最新上线', style: badgeTextStyle }))));
}
